> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Jwt Login

> Authenticate with email + password, sets JWT token in httpOnly cookie.

Args:
    login_request: Login credentials (email and password)
    response: FastAPI response object to set cookies
    user_manager: FastAPI Users user manager

Returns:
    JWT token response with access_token and token_type (token also set in httpOnly cookie)

Raises:
    HTTPException: If authentication fails



## OpenAPI

````yaml /openapi/api.json post /v1/auth/jwt/login
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/auth/jwt/login:
    post:
      tags:
        - Teams
        - auth
      summary: Jwt Login
      description: |-
        Authenticate with email + password, sets JWT token in httpOnly cookie.

        Args:
            login_request: Login credentials (email and password)
            response: FastAPI response object to set cookies
            user_manager: FastAPI Users user manager

        Returns:
            JWT token response with access_token and token_type (token also set in httpOnly cookie)

        Raises:
            HTTPException: If authentication fails
      operationId: jwt_login_v1_auth_jwt_login_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Jwt Login V1 Auth Jwt Login Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LoginRequest:
      properties:
        email:
          type: string
          title: Email
        password:
          type: string
          title: Password
      type: object
      required:
        - email
        - password
      title: LoginRequest
      description: Login request model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````